[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'DBCtrls' (#lcl)

# TCustomDBComboBox.UpdateRecord

Updates the record in the linked dataset with the value for the control.

## Declaration

Source position: dbctrls.pp line 772

`protected procedure TCustomDBComboBox.UpdateRecord;`

## Description

UpdateRecord is a procedure used to update the record in the linked dataset with the value for the control. UpdateRecord uses the internal TFieldDataLink instance to checking the editing state for the control. When both Editing and IsModified are True, the UpdateRecord method in the data link is called. No actions are performed in the method if either condition is not met.

## See also

TFieldDataLink.Editing |  | True if the linked field is being edited.
TDataLink.UpdateRecord